# List Registered Models

Launch stage: GA

`GET /api/2.1/unity-catalog/models`

List registered models. You can list registered models under a particular schema,
 or list all registered models in the current metastore.

 The returned models are filtered based on the privileges of the calling user.
 For example, the metastore admin is able to list all the registered models.
 A regular user needs to be the owner or have the **EXECUTE** privilege
 on the registered model to receive the registered models in the response.
 For the latter case, the caller must also be the owner or have the **USE_CATALOG**
 privilege on the parent catalog and the **USE_SCHEMA** privilege on the parent schema.

 There is no guarantee of a specific ordering of the elements in the response.

 PAGINATION BEHAVIOR: The API is by default paginated, a page may contain zero results while still providing a next_page_token.
 Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.

API scopes: unity-catalog

## Query parameters

- `catalog_name` (string, optional)
  The identifier of the catalog under which to list registered models.
               If specified, schema_name must be specified.
- `schema_name` (string, optional)
  The identifier of the schema under which to list registered models.
               If specified, catalog_name must be specified.
- `include_browse` (boolean, optional)
  Whether to include registered models in the response for which the principal can only access selective metadata for
- `max_results` (int64, int32, optional)
  Max number of registered models to return.
   
   If both catalog and schema are specified:
   - when max_results is not specified, the page length is set to a server configured value (10000, as of 4/2/2024).
   - when set to a value greater than 0, the page length is the minimum of this value and a server configured value (10000, as of 4/2/2024);
   - when set to 0, the page length is set to a server configured value (10000, as of 4/2/2024);
   - when set to a value less than 0, an invalid parameter error is returned;
   
   If neither schema nor catalog is specified:
   - when max_results is not specified, the page length is set to a server configured value (100, as of 4/2/2024).
   - when set to a value greater than 0, the page length is the minimum of this value and a server configured value (1000, as of 4/2/2024);
   - when set to 0, the page length is set to a server configured value (100, as of 4/2/2024);
   - when set to a value less than 0, an invalid parameter error is returned;
  Constraints: `<= 100`
- `page_token` (string, optional)
  Opaque token to send for the next page of results (pagination).

## Returns

Returns a list of RegisteredModelInfo objects.

## Response

```json
{
  "registered_models": [
    {
      "name": "string",
      "catalog_name": "string",
      "schema_name": "string",
      "owner": "string",
      "comment": "string",
      "storage_location": "string",
      "metastore_id": "string",
      "full_name": "string",
      "created_at": 0,
      "created_by": "string",
      "updated_at": 0,
      "updated_by": "string",
      "aliases": [
        {}
      ],
      "browse_only": true
    }
  ],
  "next_page_token": "string"
}
```

